Package org.pushingpixels.lafwidget.ant

# Class UiDelegateType

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.pushingpixels.lafwidget.ant.UiDelegateType

All Implemented Interfaces:
  `Cloneable`

public class UiDelegateType extends org.apache.tools.ant.types.DataType
Ant type for storing `delegate` elements of `AugmentMainTask` task.

Represents the following build snippet:

     <delegate name="ToolTipUI" />

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`UiDelegateType()`
Creates new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the delegate name.
`void`
`setName(String name)`
Sets the delegate name.

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UiDelegateType

public UiDelegateType()
Creates new instance.

## Method Details

### setName

public void setName(String name)
Sets the delegate name.

Parameters:
  `name` - Delegate name.

### getName

public String getName()
Returns the delegate name.

Returns:
  Delegate name.